package com.zd.laboratory.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zd.common.core.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.zd.common.core.web.domain.BaseEntity;
import org.hibernate.validator.constraints.Length;

import java.util.List;

/**
 * 分级管控规则对象 lab_grade_manage_rule
 *
 * @author liubo
 * @date 2022-02-10
 */
@ApiModel("分级管控规则")
public class LabGradeManageRule extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @ApiModelProperty(value = "${comment}")
    private Long id;
    /**
     * 管控规则名称
     */
    @Excel(name = "管控规则名称")
    @Length(message = "管控规则名称长度不能超过255")
    @ApiModelProperty(value = "管控规则名称")
    private String name;
    /**
     * 分级管控ID
     */
    @Excel(name = "分级管控ID")
    @ApiModelProperty(value = "分级管控ID")
    private Long gradeManageId;

    private List<LabGradeManageRuleUser> ruleUserList;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public void setGradeManageId(Long gradeManageId) {
        this.gradeManageId = gradeManageId;
    }

    public Long getGradeManageId() {
        return gradeManageId;
    }

    public List<LabGradeManageRuleUser> getRuleUserList() {
        return ruleUserList;
    }

    public void setRuleUserList(List<LabGradeManageRuleUser> ruleUserList) {
        this.ruleUserList = ruleUserList;
    }
}
